diff options
Diffstat (limited to 'tests/shell/testcases/transactions/0012chain_0')
-rwxr-xr-x | tests/shell/testcases/transactions/0012chain_0 | 11 |
1 files changed, 1 insertions, 10 deletions
diff --git a/tests/shell/testcases/transactions/0012chain_0 b/tests/shell/testcases/transactions/0012chain_0 index c3bfe130..7ebfad42 100755 --- a/tests/shell/testcases/transactions/0012chain_0 +++ b/tests/shell/testcases/transactions/0012chain_0 @@ -2,14 +2,6 @@ set -e -tmpfile=$(mktemp) -if [ ! -w $tmpfile ] ; then - echo "Failed to create tmp file" >&2 - exit 0 -fi - -trap "rm -rf $tmpfile" EXIT # cleanup if aborted - RULESET="add table x add chain x y flush ruleset @@ -20,8 +12,7 @@ flush ruleset add table w add chain w y { type filter hook output priority 0; }" -echo "$RULESET" > $tmpfile -$NFT -f $tmpfile +$NFT -f - <<< $RULESET if [ $? -ne 0 ] ; then echo "E: unable to load good ruleset" >&2 exit 1 |